@font-face {
    font-family: 'New Super Mario Font U', sans-serif;
    src: url(https://fonts.cdnfonts.com/css/new-super-mario-font-u);
}

* {
    margin: 0;
    padding: 0;
    font-family: 'New Super Mario Font U', sans-serif;
    box-sizing: border-box;
}
  
body 
{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    min-height: 100vh;

}
h2 
{   
    padding: 1rem;
    text-align: center ;
    margin-bottom: 3rem;
    font-size: 2.5em;
}
.box 
{
    position: relative;
    width: 600px;
    height: 200px;
    border: 1px solid #888888;
    box-shadow: 5px 10px #888888;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
.box label 
{
    position: relative;
    width: 100%;
    height: 33.333%;
    border: 1px solid black;
    border-bottom: none;
}

.box label input {
    position: relative;
    appearance: none;
    z-index: 10;
}

.box label i{
    position:absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: 600px;
}

.box label:nth-child(1) i {
    background-image: url(01.jpg);
    animation: animate 0.5s steps(3) infinite;
}
.box label:nth-child(2) i {
    background-image: url(02.jpg);
    animation: animate 0.4s steps(3) infinite;
}
.box label:nth-child(3) i {
    background-image: url(03.jpg);
    animation: animate 0.7s steps(3) infinite;
}

@keyframes animate{
    0%
    {
        background-position: 0px;
    }
    100%
    {
        background-position: 600px;
    }
}

.box label input:checked ~ i {
    animation-play-state: paused;
}

.reset{
    margin-top: 3rem;
    padding: 1rem;
    font-size: large;
    letter-spacing: 5px;
    background-color: rgba(44, 40, 40, 0.897);
    color: rgb(255, 255, 255);
    border: none;
    font-weight: 700;
}

.reset:active
{
    background: rgba(250, 112, 102, 0.89);
    transform: scale(0.95);
}

@media screen and (max-width:600px) {
    .box {
        width: 300px;
        height: 100px;
    }
    .box label i{
        background-size: 300px;
    }
}